use strict;
use warnings;
use File::Path qw(remove_tree);

my $demoDir = "./abc" ;
my $demoSubDir = "./abc/xxx" ;

if ( -d $demoDir ) { 
	print( "START  demoDir exists, -d returned true:  $demoDir\n" ) ;
}
else {
	print( "ABORT demoDir not found: $demoDir\n" ) ;
	exit( 1 ) ;
}

for( my $i=0 ; $i<1000 ; $i++ ) { 
	rmdirMkdir( $i, $demoSubDir ) ;
	#sleep( 2 ) ;
}
exit(0) ;


################################################################
sub rmdirMkdir{

	my ( $try, $fdnDir ) =  @_ ;
	my $errorMessage ;
	printf( "Try %4d: rmdirMkdir: %s  ", $try, $fdnDir ) ;

	# Remove the directory 
	my $rc = remove_tree( $fdnDir, { error => \$errorMessage } ) ;
	my $noOfErrorMessages = scalar @$errorMessage ;
	printf( "remove_tree rc: %2d -- ", $rc ) ;
	#print( "ErrMsg: $_\n" ) for @$errorMessage ;
	if( -d $fdnDir ) {
		print( "ERROR Directory not removed!\n" ) ;
		exit( 1 ) ;
	}
	print( "OK Directory removed! -- " ) ;
	 

	# mkdir a new directory 
	$rc = mkdir( $fdnDir, 0777 ) ;
	print( "mkdir rc: $rc  -- " ) ;
	if( ! -d $fdnDir ) {
		print( "ERROR Directory NOT created!\n" ) ;
		exit( 1 ) ;
	}
	print( "OK Directory created!\n" ) ;

	# Create files in the new directory 
	for( my $fileId=1; $fileId < 20 ; $fileId ++ ) {
		my $rdnLorem = sprintf( "lorem%02d.txt", $fileId ) ;
		my $fdnLorem = File::Spec->catfile( $fdnDir, $rdnLorem ) ;
		writeLoremFile( $fdnLorem, 100 ) ;
	}
}




################################################################
sub writeLoremFile{
	my ($fdn, $noOfLines ) = @_ ;
	open( FILE_OUT, "> $fdn") or die "Error opening file for writing: >>$fdn<<" ; 
	for( my $i=0 ; $i < $noOfLines ; $i++ ) {
		print( FILE_OUT "Lorem ipsum\n" ) ;
	}
	close(FILE_OUT) 
}

#EOF
